var loginType = true;
var apktype;
apiready = function() {
	if(!noCheckRegAndLog.includes(channelType)) checkPms();
	apktype = api.pageParam.apktype;
	setStyle();
	//防止键盘压缩页面，body要加绝对定位
	var Height = $('body').height();
	$(window).resize(function() {
	    $('body').height(Height);
	});
	var mobilephone = $api.getStorage('loginid');
	$('#phone').val(mobilephone);
	api.addEventListener({
	    name:'backSetPwd'
    },function(ret,err){
		if (ret && ret.value) {
    		loginFn(ret.value.phone, ret.value.passwd);
		}
    });
};

function setStyle(){
	$api.removeCls($api.byId('login_l'), 'login_l_change');
	$api.css($api.byId('list1'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
	$api.css($api.byId('list2'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
}

function handleLogin() {
	if($api.getStorage('xmLoginMsg')) $api.rmStorage('xmLoginMsg');
	if($api.getStorage('hw_login')) $api.rmStorage('hw_login');
	var loginid = $api.trim($api.val($api.byId('phone')));
	var passwd = $api.val($api.byId('passwd'));
	if (loginid.length < 11) {
		return alert('请输入正确的手机号码');
	}
	if (passwd.length < 6) {
		return alert('密码格式错误');
	}
	if(loginType) {
		loginType = false;
		loginFn(loginid, passwd);
	}
}

//登录接口
function loginFn(loginid, passwd){
	api.ajax({
		url : userURL + 'v2/login',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				uniqueStr: getDeviceId(),
				userName: $api.getStorage('uCode'),
				password: passwd,
				phone: loginid,
				apkType: apkType,
				channelType: channelType,
				deviceName: 'PHONE'
			}
		},
		returnAll : false
	}, function(ret, err) {
		// console.log(JSON.stringify(ret));
		if (ret) {
			if (ret.code == '200') {
				setTimeout(function(){
					loginType = true;
				},1000);
				$api.setStorage('loginState', ret.sessionId);
				//设置登录状态
				$api.setStorage('loginid', loginid);
				//记录登录loginid
				api.toast({
					msg : ret.msg,
					duration : 3000,
					global : true
				});
				var name = 'object_index';
				var fn = '';
				switch(apktype){
					case 'sekp':
						name = 'root';
						fn = 'getIndexDate("OTT_SEKP_HOME_HEAD_MENU", "", 0);';
						break;
					case 'gsc':
						fn = 'getIndexDate("3JD_GSC_G01_HOME_MENU", "", 0);';
						break;
					case 'zw':
						fn = 'getIndexDate("3JD_MFZW_HOME_HEAD_MENU", "", 0);';
						break;
					case 'xx':
						fn = 'getIndexDate("V2_OTT_HOME_HEAD_MENU", "", 0);';
						break;
					default:
						break;
				}
				api.execScript({
					name: name,
					script: fn
				});
				backLogin();
			} else if (ret.code) {
				loginType = true;
				api.alert({
					msg : ret.msg
				});
			}else loginType = true;
		}else loginType = true;
	});
}

function handleClick(type){ //0-重置密码 1-登录
	var display1 = '', display2 = '';
	if (type) {
		$api.html($api.byId("tit"), "请用手机号码进行登录");
		$api.html($api.byId("pw"), "密&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;码：");
		display1 = 'display:block;';
		display2 = 'display:none;';
	} else {
		$api.html($api.byId("tit"), "重置密码");
		$api.html($api.byId("pw"), "新&nbsp;&nbsp;密&nbsp;&nbsp;码：");
		display1 = 'display:none;';
		display2 = 'display:block;';
	}
	var len = $api.domAll('.list1 div.icon');
	for (let i = 0; i < len.length; i++) {
		$api.css($api.eq(len[i], 1), display1);
		$api.css($api.eq(len[i], 2), display2);
	}
}

//找回密码
function setPsw(){
	// return nextVCode();
	var phoneNum = $api.trim($api.val($api.byId('phone')));
	var passwd = $api.val($api.byId('passwd'));
	if (phoneNum.length < 11) {
		return alert('请输入正确的手机号码');
	}
	if (!isPasswd(passwd)) {
		return alert('密码格式错误，密码格式为6~20位以字母或数字开头，可加部分特殊字符组成');
	}
	nextVCode(phoneNum, passwd);
}

//获取验证码
function nextVCode(phone, passwd) {
	setTimeout(() => {
		api.openFrame({
			name: 'vCode',
			url: './vCode.html',
			rect: {
				x:0,
				y:0,
				w:api.winWidth,
				h:api.winHeight
			},
			pageParam : {
				apktype : apktype,
				phone : phone,
				passwd : passwd,
				operatetype : 1
			}
		});
	}, 500);
}

function backLogin(){
	$api.addCls($api.byId('login_l'), 'login_l_change');
	api.sendEvent({
	    name:'closeCurWin'
    });
	api.closeFrame();
}