var apkType = '';
var entityId, groupType, templateId, entitygrade, picture, title;
var zt_type;//新订购使用的专题类型 ： tb 同步； zx 专项
var datas;

apiready = function(){
    apkType =  api.pageParam.apkType;
    entityId = api.pageParam.entityId;
	groupType = api.pageParam.groupType;
    templateId = api.pageParam.templateId;
	entitygrade = api.pageParam.entitygrade;
	picture = api.pageParam.picture;
    title = api.pageParam.title;
    zt_type = api.pageParam.zt_type;

    setInfo();
	//获取视频列表数据
	getVideoList(entityId, 1, 100);
};	

function setInfo() {
	var pic = picture.includes('2302_kxsy_zt01') ? '../../image/pages/videoList/2302_kxsy_zt01.png' : picture;
    $api.html($api.dom('.info_title>span'), title);
    $api.attr($api.dom('.info_cutbook>img:last-child'), 'src', pic);
}

function getVideoList(id, pageNO, pageSize) {
	api.ajax({
		url : ztGroupURL + 'course/' + id + '/' + pageNO + '?pageSize=' + pageSize,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		// console.log(JSON.stringify(ret,null,4))
		if (ret) {
            var html = '';
            var line_height = api.winHeight * 0.94 * 0.06;
            var res = ret.result;
			var count = Math.min(Math.ceil(res.length / 10), 3);
            for (let i = 0; i < count; i++) {
                var lastNum = i == 2 ? res.length : Math.min((i + 1) * 10, res.length);
                var startCount = i * 10 + 1;
                var lastCount = startCount == res.length ? '' : '~' + lastNum;
                html += '<div class="list_count_item" style="line-height: ' + line_height + 'px;" onclick="setVideoList(' + i + ')">' + startCount + lastCount + '集</div>'
            }
            $api.html($api.dom('.list_count'), html);
            datas = res;
            setVideoList(0);
        }
	});
}

function setVideoList(idx) {
    var len = $api.domAll($api.dom('.list_count'), 'div');
	for (var i = 0; i < len.length; i++) {
		if (i == idx) {
			$api.addCls(len[i], 'active');
		} else {
			$api.removeCls(len[i], 'active');
		}
	}
    var html = '';
    var total = idx == 2 ? datas.length : Math.min((idx + 1) * 10, datas.length);
    for (let i = idx * 10; i < total; i++) {
        html += '<div class="list_content_item" onclick="isPlayAuthList(\'' + datas[i].sourceid + '\',\'' + entitygrade + '\',\'' + datas[i].subject + '\',\'' + datas[i].id + '\',' + datas[i].is_free + ')">'
            html += '<img src="../../image/pages/videoList/button.png" />'
			if (datas[i].is_free == 0) {
				html += '<img class="free" src="../../image/pages/videoList/free.png" />'
			}
            html += '<span>' + datas[i].title + '</span>'
        html += '</div>'
    }
    $api.html($api.dom('.list_content'), html);
}

//鉴权播放
function isPlayAuthList(sourceid, gradeid, subjectid, list_id, is_free) {
	let playParam = {
		groupType: groupType,
		sourceid: sourceid,
		entityId: entityId,
		list_id: list_id,
		is_free: is_free,
	},
	payParam = {
		entityId, apkType
	};
	if(is_free===0){
		return openWindow('play_window', './play_window.html', playParam);
	}
	myAuth({
		apkType, gradeid, subjectid, zt_type
	}).then(res=>{
		// console.log(JSON.stringify(res));
		if(res.result){// success
			openWindow('play_window', './play_window.html', playParam);
		}else{// fail
			openWindow('payWin', './juhe_order.html', payParam);
		}
	});
}