var listid;
var videoid;
var is_free;
var idx;
var originalId;
var apk_type;
var grade;
var contentList;
var originalData = {};

var audioStreamer;
var audioPath;
var playing = false;
var isPlay = 1;
var current;
var currentIndex = -1;

apiready = function() {
    audioStreamer = api.require('audioStreamer');
    audioStreamer.addEventListener({
    }, function(ret) {
        // console.log(ret.state);
        if (ret.state == 'finished') {
            playing = false;
	        isPlay = 1;
            $api.attr($api.dom('.originalText_player_' + currentIndex), 'src', '../../../image/juhe/gsc/originalText/play.png');
            api.toast({
                msg : '领读完成',
                duration : 2000,
                global : true
            });
        }
    });

    listid = api.pageParam.listid;
    videoid = api.pageParam.sourceid;
    is_free = api.pageParam.is_free;
    idx = api.pageParam.index;
    originalId = api.pageParam.originalid;
    apk_type = api.pageParam.apk_type;
    grade = api.pageParam.grade;
    $api.attr($api.byId('bg'), 'src', '../../../image/juhe/gsc/originalText/bg' + grade + '.png');

    studyEvent();
	getOriginalData(originalId);
};

function studyEvent() {
    $('.nav_study').on('click', ()=>{
        let playParam = {
            list_id: listid,
            sourceid: videoid,
            is_free: is_free,
            playIndex: idx,
            apk_type: apk_type
        },
        payParam = {
            apkType: apk_type,
            entityId: ''
        };
        if (is_free == 0) {
            return openWindow('play_window', '../../pages/play_window.html', playParam);
        }
        myAuth({
            apkType: apk_type,
            subjectid: listid
        }).then(res => {
            if (res.result) {
                openWindow('play_window', '../../pages/play_window.html', playParam);
            } else {
                api.confirm({
                    title: '提示',
                    msg: '您尚未购买视频套餐，是否前往购买',
                    buttons: ['确定', '取消']
                }, ret => {
                    if (ret.buttonIndex == 1) {
                        var name = 'juhe_order', url = '../../pages/juhe_order.html';
                        if(channelType == '3jidi_p_huawei_ct'){
                            name = 'android_ct_order';
                            url = '../../pages/android_ct_order.html';
                        }
                        openWindow(name,url,payParam);
                    }
                })
            }
        });
    });
}

function getOriginalData(originalId) {
    api.ajax({
		url : ztGroupURL + 'gsc_data/' + originalId,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		// console.log(JSON.stringify(ret,null,4))
        if (ret) {
            originalData = ret.data;

            var html_ = '';
            var dataList = [];
            var tabsList = [
                {
                    name: 'originalText',
                    text: '原文',
                    flag: originalData.content ? 1 : 0
                },
                {
                    name: 'translation',
                    text: '译文',
                    flag: originalData.yiwen ? 1 : 0
                },
                {
                    name: 'apperciation',
                    text: '赏析',
                    flag: originalData.shangxi ? 1 : 0 //部分古诗词无赏析
                },
                // {
                //     name: 'challenge',
                //     text: '挑战'
                // },
                // {
                //     name: 'recite',
                //     text: '背诵'
                // }
            ];            
            for (let i = 0; i < tabsList.length; i++) {
                if (tabsList[i].flag != 0) {
                    dataList.push(tabsList[i])
                    html_ += '<div class="swiper-slide swiper-no-swiping"></div>'
                }
            }
            $api.html($api.byId('swiper-wrappe'), html_);

            //初始化头部导航栏样式
            initTabSwiper(dataList);
        }
	});
}

//初始化导航栏
var mySwiper;
function initTabSwiper(ret) {
	// console.log(JSON.stringify(ret))
	//后台请求获取数据
	var datas = ret;
	mySwiper = new Swiper('#mainContainer', {
		pagination : {
			el : '.swiper-pagination',
			clickable : true,
			renderBullet : function(index, className) {
				var html_ = '';
				if (datas[index]) {
					html_ = '<span class="' + className + '">';
                        html_ += '<text>' + datas[index].text + '</text>'
						html_ += '<img class="focus" src="../../../image/juhe/gsc/originalText/selected.png" />';
					html_ += '</span>';
				}
				return html_;
			}
		},
		on : {
			init : function() {
				//初始化执行mySwiper.slides.length
				//alert('当前的slide序号是'+this.slides.length);
                // navTotal = this.slides.length;
				navIndex = this.activeIndex;
				this.emit('transitionEnd');
				//在初始化时触发一次transitionEnd事件
			},
			slideChangeTransitionStart : function() {
                audioStreamer.stop();
                playing = false;
	            isPlay = 1;
                var allPlayer = $api.domAll('.originalText_player');
                for (let i = 0; i < allPlayer.length; i++) {
                    $api.attr(allPlayer[i], 'src', '../../../image/juhe/gsc/originalText/play.png');
                }
				//切换执行
				navIndex = this.activeIndex;
				//切换执行数据加载
				selNavItem(datas[navIndex].name, navIndex);
			},
		},
        // initialSlide: 1,
		ouchMoveStopPropagation : false
	});

	//初始化内容列表（示例默认加载第一个）
	contentList = $api.domAll($api.byId('swiper-wrappe'), 'div.swiper-slide');

	selNavItem(datas[0].name, 0);
}

function selNavItem(name, index) {
    if (!name) return;
    let {content_audio, yiwen_audio, shangxi_audio} = originalData;
    audioPath = name == 'originalText' ?  content_audio : name == 'translation' ? yiwen_audio : shangxi_audio;
    var html_ = '';
    html_ += '<div class="originalText_head">'
        html_ += '<div class="originalText_head_icon"><img src="../../../image/juhe/gsc/originalText/' + name + '.png" /></div>'
        html_ += '<div class="originalText_head_player"><img class="originalText_player originalText_player_' + index + '" onclick="playThis(' + index + ')" src="../../../image/juhe/gsc/originalText/play.png" /></div>'
    html_ += '</div>'
    html_ += '<div class="originalText_body">'
    if (name == 'originalText') {//原文
        html_ += '<div class="originalText">'
            html_ += '<p>' + originalData.title + '</p>'
            html_ += '<p>' + originalData.author + '</p>'
            var content = originalData.content.replace(/(\r|\n)/g, '<br/>').replace(/<br\/><br\/>/g, '<br/>');
            var contentP = content.split('<br/>');
            for (let i = 0; i < contentP.length; i++) {
                html_ += '<p>' + contentP[i] + '</p>'
            }
        html_ += '</div>'
    } else if (name == 'translation') {//译文
        html_ += '<div class="translation">'
            html_ += '<p>' + originalData.title + '</p>'
            html_ += '<p>' + originalData.author + '</p>'
            var yiwen = originalData.yiwen.replace(/(\r|\n)/g, '<br/>').replace(/<br\/><br\/>/g, '<br/>');
            var yiwenP = yiwen.split('<br/>');
            for (let j = 0; j < yiwenP.length; j++) {
                html_ += '<p>' + yiwenP[j] + '</p>'
            }
        html_ += '</div>'
    } else {//赏析
        html_ += '<div class="apperciation">' + originalData.shangxi + '</div>'
    }
    html_ += '</div>'
    if ($api.html(contentList[index]).length == 0) {
        $api.html(contentList[index], html_);
    }
}

function playThis(index) {
    if (!playing) {
		if (isPlay == 1) {
			$api.attr($api.dom('.originalText_player_' + index), 'src', '../../../image/juhe/gsc/originalText/pause.png');
			playing = true;
			isPlay = 0;
			api.toast({
				msg : '开始领读',
				duration : 2000,
				global : true
			});
			//开始读
			audioStreamer.openPlayer({
				path : audioPath,
			}, function(ret) {
				if (ret.status) {
					// console.log({ msg: JSON.stringify(ret) });
				}
			});
		} else {
            api.toast({
				msg : '继续领读',
				duration : 2000,
				global : true
			});
			playing = true;
			isPlay = 0;
			$api.attr($api.dom('.originalText_player_' + index), 'src', '../../../image/juhe/gsc/originalText/pause.png');
			//设置领读位置
			audioStreamer.seekToTime({
				time : current
			});
			//读
			audioStreamer.openPlayer({
				path : audioPath,
			}, function(ret) {
				if (ret.status) {
					// console.log({ msg: JSON.stringify(ret) });
				}
			});
		}
        currentIndex = index;
	} else if (playing) {//暂停
		api.toast({
			msg : '暂停领读',
			duration : 2000,
			global : true
		});
		playing = false;
		isPlay = 0;
		$api.attr($api.dom('.originalText_player_' + index), 'src', '../../../image/juhe/gsc/originalText/play.png');
		audioStreamer.pause();
		audioStreamer.getCurrentTime(function(ret) {
			current = ret.current;
		});
	}
}